Name:		bombono-dvd
Version:	1.2.4
Release:	%mkrel 3
Summary:	DVD authoring program with nice and clean GUI
License:	GPLv2
Group:		Video/Utilities
URL:		http://www.bombono.org
# https://github.com/muravjov/bombono-dvd/archive/%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	scons
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(mjpegtools)
BuildRequires:	ffmpeg-devel
BuildRequires:	boost-devel
Requires:	dvdauthor
Requires:	mjpegtools
Requires:	dvd+rw-tools
Requires:	twolame
Requires:	enca
Recommends:	totem

%description
Bombono DVD is easy to use program for making DVD-Video.
The main features of Bombono DVD are:
  * excellent MPEG viewer: Timeline and Monitor
  * real WYSIWYG Menu Editor with live thumbnails
  * comfortable Drag-N-Drop support
  * you can author to folder, make ISO-image or burn directly to DVD
  * reauthoring: you can import video from DVD discs.

%prep
%setup -q

%build
scons CFLAGS='-Wno-extra' PREFIX=%{_prefix} DESTDIR=%{buildroot}

%install
scons install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/bombono
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
%{_datadir}/mime/packages/*.xml


%changelog
* Tue May 02 2017 akien <akien> 1.2.4-3.mga6
+ Revision: 1098270
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.2.4-2.mga6
+ Revision: 1089841
- Rebuild for ffmpeg 3.2.4

* Sun Apr 10 2016 alexl <alexl> 1.2.4-1.mga6
+ Revision: 1000034
- version 1.2.4
- del deprecated ffmpeg patch
- add br: boost-devel
- revert r979710
- use upstream desktop file
- better %%files section

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 06 2015 alexl <alexl> 1.2.2-5.mga5
+ Revision: 808750
- added GenericName in desktop file

* Fri Nov 14 2014 akien <akien> 1.2.2-4.mga5
+ Revision: 797175
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 743814
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 678195
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Apr 13 2014 alexl <alexl> 1.2.2-1.mga5
+ Revision: 613799
- version 1.2.2
- clean spec
- add patch ffmpeg-has-renamed-CodecID-AVCodecID

  + supp <supp>
    - update to 1.0.2, SPEC cleanup
    - imported package bombono-dvd

